Subject: bug#60659: closed (Re: bug#60659: 30.0.50; tree-sitter: identical nodes are not `equal')

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Jan 2023 01:09:01 +0000

Your bug report

#60659: 30.0.50; tree-sitter: identical nodes are not `equal'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60659: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60659
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60659: 30.0.50; tree-sitter: identical nodes are not `equal'
From: Yuan Fu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 12 Jan 2023 17:08:14 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Yuan Fu <[email-masked]>
>> Date: Tue, 10 Jan 2023 18:57:02 -0800
>> Cc: [email-masked],
>>  [email-masked],
>>  [email-masked]
>> 
>> But still, using a C functions is more correct. How about this?
>
> Yes, this is what I had in mind.  Thanks.

Cool. I applied it.

Yuan

Subject: 30.0.50; tree-sitter: identical nodes are not `equal'
From: Mickey Petersen <[email-masked]>
To: [email-masked]
Date: Sun, 08 Jan 2023 14:55:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

In order to check for node equality, one must use `treesit-node-eq'.

But I see little reason why two identical nodes in in the same tree aren't `equal'?

In GNU Emacs 30.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version
 3.24.20, cairo version 1.16.0) of 2023-01-02 built on mickey-work
Repository revision: c209802f7b3721a1b95113290934a23fee88f678
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Ubuntu 20.04.3 LTS

Configured using:
 'configure --with-native-compilation --with-json --with-mailutils
 --without-compress-install --with-imagemagick CC=gcc-10'